# Generated from merb-core-1.0.15.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname merb-core
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

Summary: Lightweight Ruby-based MVC framework for web development
Name: rubygem-%{gemname}
Version: 1.0.15
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://merbivore.com
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
# Upstream wants json_pure installed while we can use json just fine. To make
# the merb binary happy we actually have to patch these out of the
# specifications which get loaded when the binary is invoked. This issue looks
# resolved upstream for the next release (> 1.0.15).
#
# Also wants a very specific version of Thor installed for a call to the Thor
# binary in this gem and for some tasks that ship with merb-gen that aren't
# compatible with Thor > 0.9.9. We loosen the requirement as merb-gen has been
# patched to cope with newer version. Thor dependency goes away in the next
# release (> 1.0.15).
Patch0: rubygem-merb-core-1.0.15-gemspec.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi}
Requires: rubygem(extlib), rubygem(erubis), rubygem(rake)
Requires: rubygem(json), rubygem(rspec), rubygem(rack)
Requires: rubygem(mime-types), rubygem(thor), rubygem(mongrel)
BuildRequires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Ruby-based MVC framework that is agnostic to ORM, JavaScript library,
and template languages. Merb is plugin-based, so the core is small and
well organized.

This package provides the core libraries that provide enough of Merb to run an
application.

This package contains the merb binary and merb-core library.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

pushd .%{gemdir}
%patch0 -p0

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

find %{buildroot}%{geminstdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

# Marked executable, shouldn't be
chmod 644 %{buildroot}%{geminstdir}/lib/merb-core/logger.rb

# 0 bytes
rm %{buildroot}%{geminstdir}/TODO

%clean
rm -rf %{buildroot}

# TODO: No %%check yet, specs not shipped in gem. Appear to be in next version.
#       Revisit this.

%files
%defattr(-,root,root,-)
%{_bindir}/merb
%doc %{geminstdir}/[A-Z]*
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Mon Dec 07 2009 Matthew Kent <mkent@magoazul.com> - 1.0.15-1
- Initial package
- Thanks to Joshua Timberman for the nice descriptions.
